import MapboxLayer from './MapboxLayer.vue';
declare const _default: import("vue/types/vue").ExtendedVue<{
    map: import("my-deferred").default<import("mapbox-gl").Map>;
} & Record<never, any> & MapboxLayer, {
    id: string;
}, {
    /**
     * Get a suffixed ID based on the instance ID
     *
     * @param  {String} suffix The suffix of the ID
     * @return {String}        The formatted ID
     */
    getId(suffix: string): string;
    /**
     * Click handler for the clusters layer to zoom on the clicked cluster
     *
     * @param  {Object} event The Mapbox click event's object
     * @return {void}
     */
    clustersClickHandler(event: any): Promise<any>;
    /**
     * Mouseenter handler for the clusters layer to set a pointer cursor
     *
     * @return {void}
     */
    clustersMouseenterHandler(): Promise<void>;
    /**
     * Mouseleave handler for the clusters layer to unset the pointer cursor
     *
     * @return {void}
     */
    clustersMouseleaveHandler(): Promise<void>;
    /**
     * Handler for the click event on a single feature, emits an event with
     * the feature object and the original event object
     *
     * @param  {Object} event The Mapbox click event's object
     * @return {void}
     */
    unclusteredPointClickHandler(event: any): void;
    /**
     * Handler for the mouseenter event on a single feature.
     * Emits an event with the feature object and the original event as
     * parameters, and sets the cursor style to pointer.
     *
     * @param  {Object} event The Mapbox mouseenter event's object
     * @return {void}
     */
    unclusteredPointMouseenterHandler(event: any): Promise<void>;
    /**
     * Handler for the mouseleave event on a single feature.
     * Emits an event with the original event object as parameter, and resets
     * the cursor style to its default value.
     *
     * @param  {Object} event The Mapbox mouselvea event‘s object
     * @return {void}
     */
    unclusteredPointMouseleaveHandler(event: any): Promise<void>;
}, {
    sourceId: string;
    source: {
        type: string;
        cluster: boolean;
        data: any;
        clusterMaxZoom: any;
        clusterRadius: any;
    };
    clustersLayer: any;
    clusterCountLayer: any;
    unclusteredPointLayer: any;
}, {
    data: Object | String;
    clusterMaxZoom: number;
    clusterRadius: number;
    clustersLayout: any;
    clustersPaint: any;
    clusterCountLayout: any;
    clusterCountPaint: any;
    unclusteredPointLayerType: string;
    unclusteredPointLayout: any;
    unclusteredPointPaint: any;
}>;
export { _default as default };
