import { _ as __awaiter, a as __generator, n as normalizeComponent } from '../_chunks/normalize-component.2d07400a.js';
import mixins from 'vue-typed-mixins';
import injectMap from '../mixins/injectMap.ts';

var script = mixins(injectMap).extend({
  name: 'MapboxSource',
  props: {
    options: {
      type: Object,
      default: null
    },
    id: {
      type: String,
      required: true
    }
  },
  watch: {
    'options.data': function optionsData(newData) {
      var map = this.map.val;
      if (map) map.getSource(this.id).setData(newData);
    }
  },
  mounted: function mounted() {
    return __awaiter(this, void 0, void 0, function () {
      var map;
      return __generator(this, function (_a) {
        switch (_a.label) {
          case 0:
            return [4
            /*yield*/
            , this.map.promise];

          case 1:
            map = _a.sent();
            if (this.options) map.addSource(this.id, this.options);
            return [2
            /*return*/
            ];
        }
      });
    });
  },
  destroyed: function destroyed() {
    return __awaiter(this, void 0, void 0, function () {
      var map, layers;

      var _this = this;

      return __generator(this, function (_a) {
        switch (_a.label) {
          case 0:
            return [4
            /*yield*/
            , this.map.promise];

          case 1:
            map = _a.sent();
            layers = map.getStyle().layers;
            if (layers) Object.values(layers).forEach(function (value) {
              if (value.source && value.source === _this.id) {
                map.removeLayer(value.id);
              }
            }); // And remove the source

            map.removeSource(this.id);
            return [2
            /*return*/
            ];
        }
      });
    });
  }
});

/* script */
var __vue_script__ = script;
/* template */

var __vue_render__ = function __vue_render__() {
  var _vm = this;

  var _h = _vm.$createElement;

  var _c = _vm._self._c || _h;

  return _c('div', {
    attrs: {
      "id": _vm.id
    }
  });
};

var __vue_staticRenderFns__ = [];
/* style */

var __vue_inject_styles__ = undefined;
/* scoped */

var __vue_scope_id__ = undefined;
/* module identifier */

var __vue_module_identifier__ = undefined;
/* functional template */

var __vue_is_functional_template__ = false;
/* style inject */

/* style inject SSR */

/* style inject shadow dom */

var __vue_component__ = /*#__PURE__*/normalizeComponent({
  render: __vue_render__,
  staticRenderFns: __vue_staticRenderFns__
}, __vue_inject_styles__, __vue_script__, __vue_scope_id__, __vue_is_functional_template__, __vue_module_identifier__, false, undefined, undefined, undefined);

export default __vue_component__;
//# sourceMappingURL=MapboxSource.ts.map
