import mixins from 'vue-typed-mixins';
import Deferred from 'my-deferred';

var provideMap = mixins().extend({
  data: function data() {
    return {
      static: Object.freeze({
        map: new Deferred()
      })
    };
  },
  provide: function provide() {
    var _this = this;

    return {
      $map: function $map() {
        return _this.static.map;
      }
    };
  }
});

export default provideMap;
//# sourceMappingURL=provideMap.ts.map
