// import typescript from 'rollup-plugin-typescript2';
import ts from "@wessberg/rollup-plugin-ts";
import alias from '@rollup/plugin-alias';
import vue from 'rollup-plugin-vue';
import resolve from 'rollup-plugin-node-resolve';
import commonjs from '@rollup/plugin-commonjs';
import css from "rollup-plugin-css-only";

export default {
  input: 'src/index.ts',
  output: {
    dir: 'dist',
    format: 'esm'
  },
  plugins: [
    // resolve({
    //   extensions: ['.vue'],
    //   browser: true,
    // }),
    ts({
      tsconfig: "tsconfig.json",
      browserslist: false,
    }),
    alias({ entries: [{ find:/^@\/(.+)/, replacement: './$1' }] }),
    css(),
    vue({ 
      css: false,
      template: {
        isProduction: true
      }
    }),
    
  ]
};